Subject: Re: bug#26599: patch for mwheel.el

From: Tak Kunihiro <[email-masked]>
Date: Wed, 26 Apr 2017 15:08:42 +0900

>>>> Is it possible to add a line that runs hook on `mwheel.el' to let me
>>>> do so without advice-add?
>>> 
>>> Wouldn't it be better to have a user option which would turn off
>>> auto-hscroll-mode without running any hooks?
>> 
>> Yes.  A concern is how to turn auto-hscroll-mode t back.
> 
> maybe I misunderstand something: what I had in mind is turn off
> auto-hscroll-mode as part of the mwheel commands, then turn it back on
> when the mwheel command did its job.
> 
>> User decides when to set auto-hscroll-mode t again by an event besides
>> wheel-up, -down, -left, or -down.
> 
> No, I meant to have it off as long as the mwheel command runs, and
> restore it right back immediately afterwards.

Let’s consider a buffer consists of very long lines and an empty line.
Point starts from A with auto-hscroll-mode t.

0000..0000 A
0000..0000 I
C          B
D 00..0000 Z

Point reaches to B by scroll up and as soon as auto-hscroll-mode
is set to t, scope will be shifted to point C. Another scrolling
up moves point to D instead of Z.

To visit point Z, timer is required. A minor-mode serves as a long timer.